# Uses of Class
javafx.scene.transform.Affine

Packages that use Affine
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of Affine in javafx.scene.canvas

Methods in javafx.scene.canvas that return Affine
Modifier and Type
Method
Description
`Affine`
GraphicsContext.`getTransform()`
Returns a copy of the current transform.
`Affine`
GraphicsContext.`getTransform(Affine xform)`
Copies the current transform into the supplied object, creating a new `Affine` object if it is null, and returns the object containing the copy.
Methods in javafx.scene.canvas with parameters of type Affine
Modifier and Type
Method
Description
`Affine`
GraphicsContext.`getTransform(Affine xform)`
Copies the current transform into the supplied object, creating a new `Affine` object if it is null, and returns the object containing the copy.
`void`
GraphicsContext.`setTransform(Affine xform)`
Sets the current transform.
`void`
GraphicsContext.`transform(Affine xform)`
Concatenates the input with the current transform.

## Uses of Affine in javafx.scene.transform

Methods in javafx.scene.transform that return Affine
Modifier and Type
Method
Description
`static Affine`
Transform.`affine(double mxx, double myx, double mxy, double myy, double tx, double ty)`
Returns a new `Affine` object from 12 number values representing the 6 specifiable entries of the 3x4 Affine transformation matrix.
`static Affine`
Transform.`affine(double mxx, double mxy, double mxz, double tx, double myx, double myy, double myz, double ty, double mzx, double mzy, double mzz, double tz)`
Returns a new `Affine` object from 12 number values representing the 12 specifiable entries of the 3x4 Affine transformation matrix.
`Affine`
Affine.`clone()`
`Affine`
Affine.`createInverse()`